'use strict';

/**
 * @private modules and dependencies
 */

const fileSystem = require('fs');

const create = (state) => {
  const fileName = state.fileName;
  const encoding = state.encoding;

  const read = (fn) => {
    fileSystem.readFile(fileName, encoding, (err, data) => {
      if (err) throw err;
      fn(data);
    });
  };

  const write = (data) => {
    fileSystem.writeFile(fileName, data, { encoding }, (err, data) => {
      if (err) throw err;
    });
  };

  return { read, write };
};

exports.create = create;
